ScummVM logo Forum Index - ScummVM website - Contact us - Buy Supported Games: GOG.com Rules - Search - Register - Login curved edge
Folder Forum Index > Nintendo DS Port > Problems with Legend of Kyrandia
Problems with Legend of Kyrandia
  Author    Thread Reply to topic
dolligan



Joined: 24 Jan 2009
Posts: 1
Problems with Legend of Kyrandia 

Hi, I can't get this to work. Every time I try launching it it tells me that kyra.dat is missing or corrupt. But I have re-downloaded the file (as suggested) and I still get this error. Can anyone help? I used the version of kyra.day found here http://wiki.scummvm.org/index.php/Kyra is that the right one?

 Reply with quote  
Post Sat Jan 24, 2009 4:52 pm 
 View user's profile Send private message
eriktorbjorn
ScummVM Developer


Joined: 31 Oct 2005
Posts: 3286
Re: Problems with Legend of Kyrandia 

quote:
Originally posted by dolligan
Hi, I can't get this to work. Every time I try launching it it tells me that kyra.dat is missing or corrupt. But I have re-downloaded the file (as suggested) and I still get this error. Can anyone help? I used the version of kyra.day found here http://wiki.scummvm.org/index.php/Kyra is that the right one?


I thought ScummVM included a suitable kyra.dat file already. (If it does, I guess there could be a problem if there's an older one lying around where ScummVM can find it.)
 Reply with quote  
Post Sat Jan 24, 2009 9:20 pm 
 View user's profile Send private message
migdal-or



Joined: 19 Jan 2010
Posts: 6
 

I have the same problem with ScummVM on my N800.
I had it and solved it at my Linux box with this archive, you need file revision 29959. But none of the versions of kyra.dat file worked with my N800 box.

Wow! I can run it by using the 32th version of kyra.dat file (Revision 32075) and an outdated 0.11.99 version of ScummVM!
But the current version 1.0.0 does not work with this file.

 Reply with quote  
Post Tue Jan 19, 2010 9:54 pm 
 View user's profile Send private message Send e-mail
LordHoto
ScummVM Developer


Joined: 30 Oct 2005
Posts: 1030
Location: Germany
 

quote:
Originally posted by migdal-or
I have the same problem with ScummVM on my N800.
I had it and solved it at my Linux box with this archive, you need file revision 29959. But none of the versions of kyra.dat file worked with my N800 box.

Wow! I can run it by using the 32th version of kyra.dat file (Revision 32075) and an outdated 0.11.99 version of ScummVM!
But the current version 1.0.0 does not work with this file.


For ScummVM 1.0.0 you'll need this kyra.dat file: http://scummvm.svn.sourceforge.net/viewvc/scummvm/scummvm/tags/release-1-0-0/dists/engine-data/kyra.dat?revision=45738
 Reply with quote  
Post Wed Jan 20, 2010 7:00 am 
 View user's profile Send private message
migdal-or



Joined: 19 Jan 2010
Posts: 6
 

Okay, this works.

Why is there all this mystic and shadows? It's even easier to solve Kyrandia's puzzles than to run the game itself :)
Is the kyra.dat files behavior documented anyway? How can the normal experienced user guess which file does he need to download? The file you pointed is not even available at the whole archive page...

Version 0.11/Linux works with 17th release of kyra.dat file. Version 0.11.99/maemo works with 32th. Version 1.00.00/maemo works with some other file.
Versions 0.11/Linux and 0.11.99/maemo just say when run: invalid KYRA.DAT file version (???, required ***)
I see that the increase of scummvm version numbers accompanies with increase of kyra.dat version numbers. But what's the rule? The table of compatibility? Any point?

 Reply with quote  
Post Wed Jan 20, 2010 7:50 am 
 View user's profile Send private message Send e-mail
md5
ScummVM Developer


Joined: 03 Nov 2005
Posts: 2256
Location: Athens, Greece
 

quote:
Originally posted by migdal-or
Okay, this works.

Why is there all this mystic and shadows? It's even easier to solve Kyrandia's puzzles than to run the game itself Smile
Is the kyra.dat files behavior documented anyway? How can the normal experienced user guess which file does he need to download? The file you pointed is not even available at the whole archive page...

Version 0.11/Linux works with 17th release of kyra.dat file. Version 0.11.99/maemo works with 32th. Version 1.00.00/maemo works with some other file.
Versions 0.11/Linux and 0.11.99/maemo just say when run: invalid KYRA.DAT file version (???, required ***)
I see that the increase of scummvm version numbers accompanies with increase of kyra.dat version numbers. But what's the rule? The table of compatibility? Any point?


kyra.dat gets updated with additional data as support for more kyra games (especially Lands of Lore) gets improved, so it's normal for newer versions of ScummVM to use a newer version of the file, containing more data. Most users don't have an issue with this, as the appropriate version of kyra.dat is packaged inside the ScummVM archive
 Reply with quote  
Post Wed Jan 20, 2010 9:38 am 
 View user's profile Send private message
fingolfin
Retired


Joined: 21 Sep 2005
Posts: 1466
 

The rule of thumb is: If you download an official ScummVM release, use the kyra.dat that is shipped along with it. If you use a build from the latest source code, then also use the latest kyra.dat version.

 Reply with quote  
Post Wed Jan 20, 2010 10:59 am 
 View user's profile Send private message
migdal-or



Joined: 19 Jan 2010
Posts: 6
 

Fine, I already said this in another thread, but Linux users do not get kyra.dat because of packages system. It would be perfect to describe the situation for us :)

 Reply with quote  
Post Wed Jan 20, 2010 12:34 pm 
 View user's profile Send private message Send e-mail
LordHoto
ScummVM Developer


Joined: 30 Oct 2005
Posts: 1030
Location: Germany
 

quote:
Originally posted by migdal-or
Fine, I already said this in another thread, but Linux users do not get kyra.dat because of packages system. It would be perfect to describe the situation for us :)


Actually in case you are using the latest version there's still the correct download link on: http://scummvm.sourceforge.net/downloads/#extras

And it is also linked from over here: http://wiki.scummvm.org/index.php/Kyra#General (that kyra.dat link for the latest ScummVM was outdated there though... just fixed that).
 Reply with quote  
Post Wed Jan 20, 2010 1:26 pm 
 View user's profile Send private message
  Display posts from previous:      
Reply to topic

Forum Jump:
 



Forum Rules:
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum

 

Powered by phpBB © 2001, 2006 phpBB Group
Forum design by ScummVM team, icons by raina
curved edge   curved edge